Bug 2282171 - gsk: vulkan renderer breaks gtk4 apps on Raspberry Pi 4 and 400
Summary: gsk: vulkan renderer breaks gtk4 apps on Raspberry Pi 4 and 400
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: mesa
Version: rawhide
Hardware: aarch64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: BetaBlocker, F41BetaBlocker
TreeView+ depends on / blocked
 
Reported: 2024-05-21 11:27 UTC by Lukas Brabec
Modified: 2024-06-20 16:41 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
GNOME Gitlab GNOME gtk issues 6726 0 None opened gsk: vulkan renderer breaks gtk4 apps on Raspberry Pi 4 and 400 2024-05-21 12:11:18 UTC

Description Lukas Brabec 2024-05-21 11:27:31 UTC
Description of problem:

This is a tracker bug for the upstream issue https://gitlab.gnome.org/GNOME/gtk/-/issues/6726.

It mainly serves the Blocker review purposes. If you want to add a comment to it, you probably should update the upstream issue first.

Comment 1 Fedora Blocker Bugs Application 2024-05-21 11:33:34 UTC
Proposed as a Blocker for 41-final by Fedora user lbrabec using the blocker tracking app because:

 This bug violates Final release criteria: First boot experience ("initial setup must start successfully") and Default application functionality ("applications must start successfully")

Comment 2 Lukas Brabec 2024-05-21 12:28:04 UTC
Reproposing as 41-beta blocker, as there is a basic criterion: "A working mechanism to create a user account must be clearly presented during installation and/or first boot of the installed system."

Comment 3 Lukas Brabec 2024-05-21 12:57:29 UTC
Mesa upstream report: https://gitlab.freedesktop.org/mesa/mesa/-/issues/11199

Comment 4 Lukas Brabec 2024-05-29 10:23:28 UTC
The original upstream issue was closed and three new separate issues were filed:

gsk/vulkan: using more sampled images that maxPerStageDescriptorUpdateAfterBindSampledImages
https://gitlab.gnome.org/GNOME/gtk/-/issues/6743

gsk/vulkan: descriptor being used in draw but has never been updated via vkUpdateDescriptorSets() or a similar call
https://gitlab.gnome.org/GNOME/gtk/-/issues/6744

gsk/vulkan: nautilus misrendering of some icons with the v3dv driver
https://gitlab.gnome.org/GNOME/gtk/-/issues/6745


Note You need to log in before you can comment on or make changes to this bug.